<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-forms](./foundation-forms.md) &gt; [UiSchemaElement](./foundation-forms.uischemaelement.md)

## UiSchemaElement type

**Signature:**

```typescript
export type UiSchemaElement = {
    type: UiSchemaElementType;
    scope: string;
    label?: string;
    options?: UiSchemaElementOptions;
};
```
**References:** [UiSchemaElementType](./foundation-forms.uischemaelementtype.md)<!-- -->, [UiSchemaElementOptions](./foundation-forms.uischemaelementoptions.md)

